Subject: Re: Questions on Hugetlb for bookE and PHYS_64BIT

From: Scott Wood <[email-masked]>
Date: Fri, 15 Jun 2012 13:11:56 -0500

On 06/15/2012 09:43 AM, telenn barz wrote:
> Hi all,
> 
> CONFIG_PHYS_64BIT enables kernel support for larger than 32-bit physical
> addresses. Is it this configuration option we have to enable for the
> support of 36-bit real memory (as are capable the Freescale e500v2 or
> e500mc cores family) ?

Yes.

> The Hugetlb patch for BookE
> (https://lists.ozlabs.org/pipermail/linuxppc-dev/2011-June/091315.html)
> seems to be surbordinated to CONFIG_PHYS_64BIT. Is there any good reason
> why it is not supported when CONFIG_PHYS_64BIT is disabled ?

Because it would be extra work to support that configuration, and
nobody's felt enough of a need for it to put in that work.

-Scott